@use '../../stylesheets/core/placeholders/input';

.rui-dropdown {
  position: relative;
  display: inline-block;
  text-align: left;

  &__trigger {
    &__arrow {
      width: 0.8rem;
    }
  }

  &__content {
    position: absolute;
    z-index: var(--z-index-menu);
    display: none;
  }

  // Display as block
  &--block {
    width: 100%;

    .rui-dropdown__trigger {
      width: 100%;

      // Move arrow at the end in the button
      > span:first-child {
        flex-grow: 1;
      }
    }

    .rui-dropdown__content {
      width: 100%;
    }
  }

  // Aligns menu on the right of the trigger
  &--right {
    .rui-dropdown__content {
      right: 0;
    }
  }

  // Makes the menu wider
  &--wide {
    .rui-dropdown__content {
      min-width: 20rem;
      max-width: 80vw;
    }
  }

  // Make it look like a "select" input
  &--select-like {
    .rui-dropdown__trigger {
      @extend %input;

      background-color: var(--state-color-green);
      color: var(--state-color-green-alt);
      font-variant: none;
    }
  }

  // Display the menu
  &:hover {
    .rui-dropdown__content {
      display: block;
    }
  }
}

// Dropdown in a toolbar
.rui-toolbar {
  .rui-dropdown {
    &:first-child {
      .rui-dropdown__trigger {
        border-bottom-left-radius: var(--border-radius);
        border-top-left-radius: var(--border-radius);
      }
    }

    &:last-child {
      .rui-dropdown__trigger {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }

  &--has-help {
    .rui-dropdown:nth-last-child(2) {
      .rui-dropdown__trigger {
        border-bottom-right-radius: var(--border-radius);
        border-top-right-radius: var(--border-radius);
      }
    }
  }
}
